import { GenerateHelpOfCliAppsInMarkdownFormatOptions } from '@freephoenix888/generate-help-of-cli-apps-in-markdown-format';
import { GenerateUsageWaysOfNpmCliAppsInMarkdownFormatOptions } from '@freephoenix888/generate-usage-ways-of-npm-cli-apps-in-markdown-format';
import { GenerateTableOfContentsForMarkdownOptions } from '@freephoenix888/generate-table-of-contents-for-markdown';
export declare function generateDocumentation(options: GenerateDocumentationOptions): Promise<void>;
export type GenerateDocumentationOptions = {
    generateCliAppsHelpInReadmeOptions?: GenerateHelpOfCliAppsInMarkdownFormatOptions & {
        placeholder?: string;
    };
    generateUsageWaysOfNpmCliAppsInMarkdownFormatOptions?: GenerateUsageWaysOfNpmCliAppsInMarkdownFormatOptions & {
        placeholder?: string;
    };
    generateTableOfContentsForMarkdownOptions?: GenerateTableOfContentsForMarkdownOptions & {
        placeholder?: string;
    };
};
